Arduino

Reference Language | Libraries | Comparison | Changes

## SoftwareSerial: peek

#### Description

Return a character that was received on the RX pin of the software serial port. Unlike read(), however, subsequent calls to this function will return the same character.

Note that only one SoftwareSerial instance can receive incoming data at a time (select which one with the listen() function).

#### Parameters

none

#### Returns

the character read, or -1 if none is available

#### Example

SoftwareSerial mySerial(10,11);
void setup()
{
mySerial.begin(9600);
}
void loop()
{
char c = mySerial.peek();
}
[Get Code]

#### See also

- SoftwareSerial()
- begin()
- print()
- println()
- read()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes